<?php
/**
 *
 * Slideshow for Header extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\SlideWeUni\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration
{

    public function effectively_installed()
    {
        return !empty($this->config['slide_weuni_active']);
    }

    public function update_data()
    {
        return array(
            array('config.add', array('slide_weuni_active', 1)),
            array('config.add', array('slide_weuni_delay', 3500)),
            array('config.add', array('slide_weuni_controls', 1)),
            array('config.add', array('slide_weuni_effect', 1)),
            array('config.add', array('slide_weuni_img1', 'https://i.imgur.com/ZVzD4JP.jpg')),
            array('config.add', array('slide_weuni_url1', 'https://www.phpbb.com')),
            array('config.add', array('slide_weuni_img2', 'https://i.imgur.com/UBamNmp.jpg')),
            array('config.add', array('slide_weuni_url2', 'http://www.phpbb-es.com')),
            array('config.add', array('slide_weuni_img3', 'slide_we.jpg')),
            array('config.add', array('slide_weuni_url3', 'https://www.phpbb.com/community/viewtopic.php?f=456&t=2431866')),
            array('config.add', array('slide_weuni_img4', 'https://i.imgur.com/N8gx0SN.jpg')),
            array('config.add', array('slide_weuni_url4', 'http://www.phpbb-es.com/foro/viewtopic.php?f=147&t=42139')),
            array('config.add', array('slide_weuni_img5', '')),
            array('config.add', array('slide_weuni_url5', '')),
            array('config.add', array('slide_weuni_img6', '')),
            array('config.add', array('slide_weuni_url6', '')),
            array('config.add', array('slide_weuni_img7', '')),
            array('config.add', array('slide_weuni_url7', '')),
            array('config.add', array('slide_weuni_img8', '')),
            array('config.add', array('slide_weuni_url8', '')),
            array('config.add', array('slide_weuni_img9', '')),
            array('config.add', array('slide_weuni_url9', '')),
            array('config.add', array('slide_weuni_img10', '')),
            array('config.add', array('slide_weuni_url10', '')),
        );
    }

    public function revert_data()
    {
        return array(
            // Delete config
            array('config.remove', array('slide_weuni_active')),
            array('config.remove', array('slide_weuni_delay')),
            array('config.remove', array('slide_weuni_controls')),
            array('config.remove', array('slide_weuni_effect')),
            array('config.remove', array('slide_weuni_img1')),
            array('config.remove', array('slide_weuni_url1')),
            array('config.remove', array('slide_weuni_img2')),
            array('config.remove', array('slide_weuni_url2')),
            array('config.remove', array('slide_weuni_img3')),
            array('config.remove', array('slide_weuni_url3')),
            array('config.remove', array('slide_weuni_img4')),
            array('config.remove', array('slide_weuni_url4')),
            array('config.remove', array('slide_weuni_img5')),
            array('config.remove', array('slide_weuni_url5')),
            array('config.remove', array('slide_weuni_img6')),
            array('config.remove', array('slide_weuni_url6')),
            array('config.remove', array('slide_weuni_img7')),
            array('config.remove', array('slide_weuni_url7')),
            array('config.remove', array('slide_weuni_img8')),
            array('config.remove', array('slide_weuni_url8')),
            array('config.remove', array('slide_weuni_img9')),
            array('config.remove', array('slide_weuni_url9')),
            array('config.remove', array('slide_weuni_img10')),
            array('config.remove', array('slide_weuni_url10')),
        );
    }
}
?>