<?php
/**
 *
 * Slideshow for Header extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\SlideWeUni\migrations;

class release_1_0_5 extends \phpbb\db\migration\migration
{
    static public function depends_on()
    {
        return array(
            '\Picaron\SlideWeUni\migrations\release_1_0_4',
        );
    }

    public function update_data()
    {
        return array(
            array('config.update', array('slide_weuni_version', '1.0.5')),
            array('config.add', array('slide_weuni_search', 1)),
            array('config.add', array('slide_weuni_color_tit_f', '#0b9f0d')),
            array('config.add', array('slide_weuni_color_tit_b', '#ecfb06')),

            // Add ACP extension category
            array('module.add', array(
                'acp',
                'ACP_CAT_DOT_MODS',
                'ACP_SLIDE_WEUNI',
            )),

            // Add ACP preferences module
            array('module.add', array(
                'acp',
                'ACP_SLIDE_WEUNI',
                array(
                    'module_basename'   => '\Picaron\SlideWeUni\acp\acp_slideweuni_module',
                    'modes'             => array(
                        'slide',
                    ),
                ),
            )),
        );
    }

    public function revert_data()
    {
        return array(
            // Delete config
            array('config.remove', array('slide_weuni_search')),
            array('config.remove', array('slide_weuni_color_tit_f')),
            array('config.remove', array('slide_weuni_color_tit_b')),

            // Delete ACP extension category
            array('module.remove', array(
                'acp',
                'ACP_CAT_DOT_MODS',
                'ACP_SLIDE_WEUNI',
            )),

            // Delete ACP preferences module
            array('module.remove', array(
                'acp',
                'ACP_SLIDE_WEUNI',
                array(
                    'module_basename'   => '\Picaron\SlideWeUni\acp\acp_slideweuni_module',
                    'modes'             => array(
                        'slide',
                    ),
                ),
            )),
        );
    }
}
?>